---
updatedAt: 2026-05-01T08:14:29.000Z
agentTools:
  projectIndex: https://docs.company.info/llms.txt
---

# Add items to a list

Add items to a list


# OpenAPI definition

```json
{
  "openapi": "3.0.0",
  "info": {
    "title": "NL Monitoring",
    "description": "NL Monitoring API represents the Monitoring of Changes in the Profile of the organizations and branches\n",
    "version": "v0.1.0"
  },
  "servers": [
    {
      "url": "https://api.company.info/nl/organizations/monitoring",
      "description": "Production Server"
    }
  ],
  "security": [
    {
      "authToken": []
    },
    {
      "jwtAuth": []
    }
  ],
  "paths": {
    "/v1/lists/{list_id}/items": {
      "post": {
        "operationId": "createItems",
        "summary": "Add items to a list",
        "tags": [
          "Item"
        ],
        "description": "Add items to a list\n",
        "parameters": [
          {
            "name": "list_id",
            "in": "path",
            "required": true,
            "description": "The ID of the List that will be returned.",
            "schema": {
              "type": "string"
            }
          }
        ],
        "requestBody": {
          "description": "Item payload.",
          "content": {
            "application/json": {
              "schema": {
                "$ref": "#/components/schemas/ItemBody"
              }
            }
          }
        },
        "responses": {
          "201": {
            "description": "OK",
            "headers": {
              "X-Correlation-Id": {
                "description": "Unique request identifier",
                "schema": {
                  "type": "string",
                  "format": "uuid"
                }
              }
            },
            "content": {
              "application/vnd.api+json": {
                "schema": {
                  "type": "object",
                  "required": [
                    "data"
                  ],
                  "properties": {
                    "data": {
                      "type": "array",
                      "items": {
                        "$ref": "#/components/schemas/Item"
                      }
                    },
                    "included": {
                      "type": "array",
                      "items": {
                        "$ref": "#/components/schemas/List"
                      }
                    }
                  }
                }
              }
            }
          },
          "400": {
            "description": "Bad Request",
            "content": {
              "application/vnd.api+json": {
                "schema": {
                  "$ref": "#/components/schemas/Error"
                }
              }
            }
          },
          "403": {
            "description": "Forbidden",
            "content": {
              "application/vnd.api+json": {
                "schema": {
                  "$ref": "#/components/schemas/Error"
                }
              }
            }
          },
          "404": {
            "description": "Not Found",
            "content": {
              "application/vnd.api+json": {
                "schema": {
                  "$ref": "#/components/schemas/Error"
                }
              }
            }
          },
          "500": {
            "description": "Internal Server Error",
            "content": {
              "application/vnd.api+json": {
                "schema": {
                  "$ref": "#/components/schemas/Error"
                }
              }
            }
          }
        }
      }
    }
  },
  "components": {
    "securitySchemes": {
      "authToken": {
        "description": "API Key Authentication",
        "type": "apiKey",
        "in": "header",
        "name": "X-API-KEY"
      },
      "jwtAuth": {
        "description": "JWT Authentication",
        "type": "http",
        "scheme": "bearer",
        "bearerFormat": "JWT"
      }
    },
    "schemas": {
      "List": {
        "title": "ListAttributes",
        "description": "list attributes",
        "type": "object",
        "required": [
          "type",
          "id",
          "attributes"
        ],
        "properties": {
          "id": {
            "type": "string",
            "example": "01HX6V58G64VJHWRDEJF0YKZ85"
          },
          "type": {
            "type": "string",
            "enum": [
              "lists"
            ],
            "example": "lists"
          },
          "attributes": {
            "type": "object",
            "required": [
              "name",
              "createdAt"
            ],
            "properties": {
              "name": {
                "type": "string",
                "example": "List-number-1"
              },
              "createdAt": {
                "type": "string",
                "format": "date-time",
                "example": "2024-05-15T13:25:43+02:00"
              }
            }
          },
          "links": {
            "type": "object",
            "properties": {
              "self": {
                "type": "string",
                "format": "uri-reference"
              }
            }
          }
        }
      },
      "Item": {
        "title": "ItemAttributes",
        "description": "item attributes",
        "type": "object",
        "required": [
          "type",
          "id",
          "attributes"
        ],
        "properties": {
          "id": {
            "type": "string",
            "example": "01HX71K7DSM0JA59XJZ07MQG2W"
          },
          "type": {
            "type": "string",
            "enum": [
              "items"
            ],
            "example": "items"
          },
          "attributes": {
            "type": "object",
            "required": [
              "entity",
              "eventType",
              "collections",
              "createdAt"
            ],
            "properties": {
              "entity": {
                "type": "object",
                "required": [
                  "id",
                  "type"
                ],
                "properties": {
                  "id": {
                    "type": "string",
                    "example": "33302047"
                  },
                  "type": {
                    "type": "string",
                    "enum": [
                      "organization",
                      "branch"
                    ],
                    "example": "organization"
                  }
                }
              },
              "eventType": {
                "type": "string",
                "enum": [
                  "change"
                ],
                "example": "change"
              },
              "collections": {
                "type": "array",
                "items": {
                  "$ref": "#/components/schemas/CollectionEnum"
                }
              },
              "createdAt": {
                "type": "string",
                "format": "date-time",
                "example": "2024-05-15T13:25:43+02:00"
              }
            }
          },
          "relationships": {
            "type": "object",
            "properties": {
              "list": {
                "type": "object",
                "properties": {
                  "data": {
                    "type": "object",
                    "required": [
                      "type",
                      "id"
                    ],
                    "properties": {
                      "type": {
                        "type": "string",
                        "enum": [
                          "lists"
                        ],
                        "example": "lists"
                      },
                      "id": {
                        "type": "string",
                        "example": "01HX6V58G64VJHWRDEJF0YKZ85"
                      }
                    }
                  }
                }
              }
            }
          },
          "links": {
            "type": "object",
            "properties": {
              "self": {
                "type": "string",
                "format": "uri-reference"
              }
            }
          }
        }
      },
      "ItemBody": {
        "title": "ItemRequestBody",
        "description": "item request body",
        "type": "object",
        "required": [
          "data"
        ],
        "properties": {
          "data": {
            "type": "array",
            "items": {
              "type": "object",
              "required": [
                "type",
                "attributes"
              ],
              "properties": {
                "type": {
                  "type": "string",
                  "enum": [
                    "items"
                  ],
                  "example": "items"
                },
                "attributes": {
                  "type": "object",
                  "required": [
                    "entity",
                    "eventType",
                    "collections"
                  ],
                  "properties": {
                    "entity": {
                      "type": "object",
                      "required": [
                        "id",
                        "type"
                      ],
                      "properties": {
                        "id": {
                          "type": "string",
                          "example": "33302047"
                        },
                        "type": {
                          "type": "string",
                          "enum": [
                            "organization",
                            "branch"
                          ],
                          "example": "organization"
                        }
                      }
                    },
                    "eventType": {
                      "type": "string",
                      "enum": [
                        "change"
                      ],
                      "example": "change"
                    },
                    "collections": {
                      "type": "array",
                      "items": {
                        "$ref": "#/components/schemas/CollectionEnum"
                      }
                    }
                  }
                }
              }
            }
          }
        }
      },
      "CollectionEnum": {
        "title": "CollectionEnum",
        "description": "All supported collections for organizations and branches.\n\nWhich values are valid depends on the `entity.type` of the item:\n  - When `entity.type` is `organization`, only values listed in\n    `OrganizationCollectionEnum` are accepted.\n  - When `entity.type` is `branch`, only values listed in\n    `BranchCollectionEnum` are accepted.\n\nThis enum is the union of both sets so that code generators can\nproduce a single, strongly-typed value. The per-entity constraints\nabove are enforced by the API at request time.\n",
        "type": "string",
        "example": "activities",
        "enum": [
          "activities",
          "address",
          "authorized-capital",
          "branch-transfer",
          "contact",
          "contributed-capital",
          "correspondence-address",
          "dissolution-and-liquidation",
          "extension--activities--company-info",
          "extension--activities--trade-register",
          "extension--activity-summary",
          "extension--contact-person",
          "extension--financials",
          "extension--management",
          "extension--number-of-branches",
          "extension--ownership-structure",
          "extension--size-indicators",
          "extension--transfers",
          "insolvency-publications",
          "insolvency-status",
          "issued-capital",
          "legal-form",
          "lifecycle",
          "main-branch",
          "main-branch--activities",
          "main-branch--address",
          "main-branch--contact",
          "main-branch--correspondence-address",
          "main-branch--lifecycle",
          "main-branch--name",
          "main-branch--personnel",
          "main-branch--trade-names",
          "name",
          "personnel",
          "rsin",
          "statutory-seat",
          "trade-names"
        ]
      },
      "Error": {
        "type": "object",
        "required": [
          "errors"
        ],
        "properties": {
          "errors": {
            "type": "array",
            "minItems": 1,
            "items": {
              "type": "object",
              "required": [
                "status",
                "code",
                "title",
                "detail"
              ],
              "properties": {
                "status": {
                  "description": "the HTTP status code applicable to this problem",
                  "type": "string",
                  "example": "400"
                },
                "code": {
                  "description": "an application-specific error code",
                  "type": "string",
                  "example": "400"
                },
                "title": {
                  "description": "a short, human-readable summary of the problem",
                  "type": "string",
                  "example": "failed on Bad Request"
                },
                "detail": {
                  "description": "a human-readable explanation specific to this occurrence of the problem",
                  "type": "string",
                  "example": "list not found"
                }
              }
            }
          }
        }
      }
    }
  },
  "x-readme": {
    "proxy-enabled": false
  }
}
```